%define majver %(echo %version|cut -d. -f1-2)
Name:          lilypond
Version:       2.24.2
Release:       1mamba
Summary:       An automated engraving system.
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://lilypond.org/
Source:        http://lilypond.org/downloads/sources/v%{majver}/lilypond-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libguile22-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: python-devel
BuildRequires: mftrace
BuildRequires: fontforge
BuildRequires: urw-fonts
BuildRequires: t1utils
BuildRequires: ghostscript-fonts
BuildRequires: texlive >= 20140525
BuildRequires: fontforge
BuildRequires: libfontforge-devel
BuildRequires: tex-gyre-fonts
BuildRequires: extractpdfmark
BuildRequires: libguile22-devel
Requires:      ghostscript-fonts
Requires(post):%{__install_info}

%description
LilyPond is an automated engraving system. It formats music beautifully and automatically, and has a friendly syntax for its input files.

%debug_package

%prep
%setup -q

%build
%configure \
   --disable-documentation \
   --with-texgyre-dir=%{_datadir}/fonts/tex-gyre \
   GUILE_CONFIG=guile-config1 \
   PYTHON=%{__python3}
   
#   --with-ncsb-dir=%{_datadir}/ghostscript/fonts \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#% post
#% install_info %{name}.info
#:

#% preun
#% uninstall_info %{name}.info
#:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/abc2ly
%{_bindir}/convert-ly
%{_bindir}/etf2ly
%{_bindir}/lilymidi
%{_bindir}/lilypond
%{_bindir}/lilypond-book
%{_bindir}/lilypond-invoke-editor
%{_bindir}/lilysong
%{_bindir}/midi2ly
%{_bindir}/musicxml2ly
#%{_libdir}/lilypond/%{version}/python/midi.so
%{_datadir}/emacs/site-lisp/*.el
%{_datadir}/lilypond/%{version}/*
%doc COPYING

%changelog
* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 2.24.2-1mamba
- automatic version update by autodist

* Sun Aug 06 2023 Automatic Build System <autodist@mambasoft.it> 2.24.1-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 2.22.2-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19.82-1mamba
- update to 2.19.82

* Mon Jul 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19.10-1mamba
- update to 2.19.10

* Fri Mar 22 2013 Automatic Build System <autodist@mambasoft.it> 2.16.2-1mamba
- automatic version update by autodist

* Mon Mar 18 2013 Automatic Build System <autodist@mambasoft.it> 2.16.0-1mamba
- automatic version update by autodist

* Thu Jul 15 2010 Automatic Build System <autodist@mambasoft.it> 2.12.3-2mamba
- automatic rebuild by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.12.3-1mamba
- update to 2.12.3

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1mamba
- update to 2.12.2

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.33-1mamba
- update to 2.10.33

* Sat Sep 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.29-1mamba
- package created by autospec
